# List fee agreements for an account

`GET /accounts/{accountID}/fee-plan-agreements`

API version: `v2026.07.00`. Send `X-Moov-Version: v2026.07.00` to get the behavior described here.

> AI agents: search and read all Moov docs with the docs MCP server at https://docs.moov.io/mcp (no API key). Setup: https://docs.moov.io/guides/developer-tools/mcp-ai/docs-mcp/index.md

List all fee plan agreements associated with an account.

To access this endpoint using an [access token](https://docs.moov.io/api/authentication/access-tokens/) 
you'll need to specify the `/accounts/{accountID}/profile.read` scope.

## Parameters

| Name | In | Type | Required | Description |
| --- | --- | --- | --- | --- |
| `X-Moov-Version` | header | string |  | Set this header to v2026.07.00 to use the API described in this specification. When omitted, the server defaults to v2024.01.00, the earliest supported version, which may not match the behavior documented here. An unrecognized well-formed version uses the latest supported version that is not newer than the requested version, when one exists. For example, `v2026.08.00` uses `v2026.07.00`. A malformed value, such as `2022`, returns a `404` response. Values: `v2026.07.00`. |
| `skip` | query | integer (int64) |  | The number of entries to skip when paginating a large result set. |
| `count` | query | integer (int64) |  | Page size. When omitted, the server defaults to `200`. |
| `accountID` | path | string | Yes | A unique identifier for a Moov resource. Supports UUID format (xxxxxxxx-xxxx-xxxx-xxxx-xxxxxxxxxxxx) or typed format with base32-encoded UUID and type suffix (e.g., kuoaydiojf7uszaokc2ggnaaaa_xfer). |
| `agreementID` | query | array of string |  | A comma-separated list of agreement IDs to filter the results by. |
| `status` | query | array of string |  | A comma-separated list of statuses to filter the results by. Values: `active`, `terminated`. |

## Response 200

The request completed successfully.

| Field | Type | Required | Description |
| --- | --- | --- | --- |
| `[].agreementID` | string | Yes | A unique identifier for a Moov resource. Supports UUID format (xxxxxxxx-xxxx-xxxx-xxxx-xxxxxxxxxxxx) or typed format with base32-encoded UUID and type suffix (e.g., kuoaydiojf7uszaokc2ggnaaaa_xfer). |
| `[].planID` | string | Yes | A unique identifier for a Moov resource. Supports UUID format (xxxxxxxx-xxxx-xxxx-xxxx-xxxxxxxxxxxx) or typed format with base32-encoded UUID and type suffix (e.g., kuoaydiojf7uszaokc2ggnaaaa_xfer). |
| `[].accountID` | string |  | A unique identifier for a Moov resource. Supports UUID format (xxxxxxxx-xxxx-xxxx-xxxx-xxxxxxxxxxxx) or typed format with base32-encoded UUID and type suffix (e.g., kuoaydiojf7uszaokc2ggnaaaa_xfer). |
| `[].name` | string | Yes | The name of the agreement. |
| `[].description` | string |  | The description of the agreement. |
| `[].acceptedOn` | string (date-time) | Yes |  |
| `[].status` | string | Yes | Values: `active`, `terminated`. |
| `[].cardAcquiringModel` | string | Yes | Specifies the card processing pricing model Values: `cost-plus`, `flat-rate`. |
| `[].billableFees` | array of object | Yes |  |
| `[].billableFees[].billableFeeID` | string |  | A unique identifier for a Moov resource. Supports UUID format (xxxxxxxx-xxxx-xxxx-xxxx-xxxxxxxxxxxx) or typed format with base32-encoded UUID and type suffix (e.g., kuoaydiojf7uszaokc2ggnaaaa_xfer). |
| `[].billableFees[].billableEvent` | string |  | A unique code identifying a charge. |
| `[].billableFees[].feeName` | string |  | Specifies the name of the fee that will be billed. |
| `[].billableFees[].feeModel` | string | Yes | Specifies the pricing model used for the calculation of the final fee. Values: `fixed`, `blended`, `variable`. |
| `[].billableFees[].feeCategory` | string | Yes | Values: `ach`, `card-acquiring`, `card-other`, `card-pull`, `card-push`, `instant-bank`, `monthly-platform`, `network-passthrough`, `other`, `rtp`. |
| `[].billableFees[].feeProperties` | object |  | Defines the specific parameters used for fee calculation. |
| `[].billableFees[].feeConditions` | object |  | Defines the specific conditions that must be met for the fee to be applied. |
| `[].minimumCommitment` | object | Yes | The minimum spending amount that must be met in the billing period. If actual usage is below the minimum amount, account is charged the difference. |
| `[].minimumCommitment.currency` | string | Yes | A 3-letter ISO 4217 currency code. |
| `[].minimumCommitment.valueDecimal` | string | Yes | A decimal-formatted numerical string that represents up to 9 decimal place precision. For example, $12.987654321 is '12.987654321'. |
| `[].monthlyPlatformFee` | object | Yes | Fixed recurring amount paid in the billing period regardless of usage. |
| `[].monthlyPlatformFee.currency` | string | Yes | A 3-letter ISO 4217 currency code. |
| `[].monthlyPlatformFee.valueDecimal` | string | Yes | A decimal-formatted numerical string that represents up to 9 decimal place precision. For example, $12.987654321 is '12.987654321'. |
| `[].priorAgreementID` | string |  | The agreement this one replaced. Only set when the agreement was created by replacing another. |
| `[].priorAgreementTerminatedOn` | string (date-time) |  | The date and time the prior agreement was terminated. |

## Errors

| Status | Meaning |
| --- | --- |
| 401 | The request contained missing or expired authentication. |
| 403 | The user is not authorized to make the request. |
| 429 | Request was refused due to rate limiting. |
| 500 | The request failed due to an unexpected error. |
| 504 | The request failed because a downstream service failed to respond. |

## Examples

### cURL

```bash
curl -X GET "https://api.moov.io/accounts/{accountID}/fee-plan-agreements" \
  -H "Authorization: Bearer {token}" \
  -H "X-Moov-Version: v2026.07.00"
```

### Typescript (SDK)

```typescript
import { Moov } from "@moovio/sdk";

const moov = new Moov({
  security: {
    username: "",
    password: "",
  },
});

async function run() {
  const result = await moov.feePlans.listFeePlanAgreements({
    skip: 60,
    count: 20,
    accountID: "93c43634-5477-42a7-972d-01fa76a09e17",
  });

  console.log(result);
}

run();
```

Full reference with SDK examples in every language: https://docs.moov.io/api/moov-accounts/billing/list-agreements/
